/*  3. Ein Programm erfasse bei jedem Tanken den Kilometerstand und die getankte
Menge Benzin (in l), wobei angenommen wird, dass immer vollgetankt wird.
Es endet, wenn der letzte km-Stand nochmal eingegeben wird oder 100 Tankvorgänge
erfasst wurden. Es startet vollgetankt bei einem Kilomerstand von 100 km.
Berechnen Sie am Ende den durchschnittlichen Verbrauch/100km und geben Sie an,
in welchen Abschnitten der Verbrauch über dem Mittel lag und in welchen darunter
und wie hoch er war.
------------------------------------------------------------------------------*/
#include <stdlib.h>
#define anzmax 100
int main()
{  float liter[anzmax], km[anzmax], mittel, miwe;  int i, n;
   printf("\n Tankregister (Ende bei unveraendertem km-Stand)\n"
          " Testdaten: 200, 10, 300, 15, 700, 30, 700\n");
   i=1; km[0]= 100; mittel= 0;
   do{  do{ printf("\n km-Stand: ");  scanf("%f", &km[i]);
          }while( km[i]<km[i-1]);
      if( km[i]==km[i-1])break;
      printf(" fuer %.1f km: ", km[i]-km[i-1]);
      printf("\n Liter: ");
      scanf("%f", &liter[i]);
      mittel= mittel + liter[i];
      i++;
   }while( i<100);
   if( i>0){ mittel=mittel/( km[i]-km[0])*100; printf("\n durchschnittlicher Verbrauch auf 100 km = %.1f", mittel);
   }n=i;
   for( i=1; i<n; i++)
   {  miwe= liter[i]/(km[i]-km[i-1])*100;
      if( miwe> mittel) printf("\n %i - drueber (%.1f Liter/100km)", i, miwe);
      else if( miwe< mittel) printf("\n %i - drunter (%.1f Liter/100km)", i, miwe);
           else printf("\n %i - gleich (%.1f Liter/100km)", i, miwe);
   }
   printf("\n");   system("PAUSE");    return 0;
}
